<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="5" infoRejectCounter="19">
  <summary>
    <timer wall-clock="1.489s" wall="1.489" cpu="1.41828" calls="1"/>
  </summary>
  <header id="">
    <environment started="2021-Aug-19 13:56:50" host="Fabians-Flunder.fritz.box"/>
    <progOpts problem="mma-single" parameterFile="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Optimizer/python/mma-single/mma-single.xml" schemaPath="/Users/fwein/code/master/share/xml" meshFile="" logConfFile="" detailed="no" openmp="compiled without">
      <cfs version="21.03" name="Frohes Fensterln" build="Debug" git_commit="8fd4b5aa79cbf6410e16603ca0eeefd1d253a7aa" git_branch="(HEAD detached from d3314496d)" exe="cfs_master"/>
    </progOpts>
    <domain nx="8" ny="8" nz="1">
      <grids>
        <timer wall-clock="0.03s" wall="0.03" cpu="0.030481" calls="1"/>
        <grid gridId="default" dimensions="2" elements="64" nodes="81"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="81" elems="64" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="9"/>
        <nodes name="north" count="9"/>
        <nodes name="west" count="9"/>
        <nodes name="east" count="9"/>
        <nodes name="south_west" count="1" coord="(0,0)"/>
        <nodes name="south_east" count="1" coord="(1,0)"/>
        <nodes name="north_west" count="1" coord="(0,1)"/>
        <nodes name="north_east" count="1" coord="(1,1)"/>
        <nodes name="load" count="1" coord="(1,0)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="8" ny="8" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.028s" wall="0.028" cpu="0.032031" calls="63"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.117s" wall="0.117" cpu="0.117389" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="load" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="144" totalNumFreeEqns="144" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="144" lastFreeEqn="144" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="144" lastFreeIndex="144"/>
          </sbmBlocks>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall-clock="0s" wall="0" cpu="0.002228" calls="9"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall-clock="0s" wall="0" cpu="0.00224" calls="9"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="2.5e-05" calls="9"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.018s" wall="0.018" cpu="0.018215" calls="1" sub="true"/>
      </graph_setup>
      <reorder_Metis>
        <timer wall-clock="0s" wall="0" cpu="0.000343" calls="1" sub="true"/>
      </reorder_Metis>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.088s" wall="0.088" cpu="0.092657" calls="18"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Optimizer/python/mma-single/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" access="physical" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="yes" access="filtered" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0s" wall="0" cpu="0.001147" calls="2"/>
        </setup_design>
        <filters use_mat_filt="yes">
          <filter type="maxEdge" value="1.3" contribution="linear" design="density" elems="64" avg_radius="0.1625" avg_neighbors="3.5"/>
          <timer wall-clock="0.008s" wall="0.008" cpu="0.008904" calls="1"/>
        </filters>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables opt_vars="64" field_elems="64" field_fe_elemes="64">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="64" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <python>
          <timer wall-clock="0.76s" wall="0.76" cpu="0.709474" calls="48"/>
        </python>
      </summary>
      <python>
        <header file="/Users/fwein/code/master/share/python/mma.py" version="3.8.1 (default, Feb 26 2020, 15:12:30)  [Clang 11.0.0 (clang-1100.0.33.17)]" setup="1" init="-1">
          <options/>
        </header>
        <summary solve=""/>
      </python>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0.017s" wall="0.017" cpu="0.036463" calls="36"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0.009s" wall="0.009" cpu="0.01159" calls="9"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0.063s" wall="0.063" cpu="0.066575" calls="9"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0.038s" wall="0.038" cpu="0.042635" calls="9"/>
      </eval_grad_constraints>
      <break/>
    </summary>
    <process>
      <iteration number="0" duration="1.039" compliance="90.6259333288021" volume="0.5"/>
      <iteration number="1" duration="0.059" compliance="62.9803186915019" volume="0.45468995085921"/>
      <iteration number="2" duration="0.056" compliance="40.4989247430092" volume="0.478894113197848"/>
      <iteration number="3" duration="0.058" compliance="31.9331048147265" volume="0.491044836256124"/>
      <iteration number="4" duration="0.054" compliance="28.4714657599822" volume="0.494892577865752"/>
      <iteration number="5" duration="0.053" compliance="26.4915725600091" volume="0.496717853240046"/>
      <iteration number="6" duration="0.052" compliance="25.3232318003197" volume="0.497090283320457"/>
      <iteration number="7" duration="0.056" compliance="24.6127290314413" volume="0.498160132456471"/>
      <iteration number="8" duration="0.053" compliance="24.2030270767968" volume="0.498904938908428"/>
    </process>
  </optimization>
</cfsInfo>